repo/gentoo:master commit in: net-misc/dropbox/

"Ben Kohler" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786129633.80fbdd257b03251ec66ee7a1c0729a6baec6ae54.bkohler@gentoo>
commit:     80fbdd257b03251ec66ee7a1c0729a6baec6ae54
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 16:27:01 2026 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 19:07:13 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80fbdd25

net-misc/dropbox: add 264.4.3385

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-misc/dropbox/Manifest                  |   1 +
 net-misc/dropbox/dropbox-264.4.3385.ebuild | 123 +++++++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/net-misc/dropbox/Manifest b/net-misc/dropbox/Manifest
index f1b34618b3a8..546aa5ba5690 100644
--- a/net-misc/dropbox/Manifest
+++ b/net-misc/dropbox/Manifest
@@ -2,3 +2,4 @@ DIST dropbox-icon.svg 574 BLAKE2B a73a0906b5b03dc3214010736164fcdbceb6d91463ed95
 DIST dropbox-lnx.x86_64-258.4.3749.tar.gz 90597695 BLAKE2B 8c747a86ec00689e1520f1ef6b11fb57b51ae1d434badbc0a40ab41e4cba035367e2c985a78ce5abc5e3c05818bdffe27340049387da6eaf61c6bec2ca5a090f SHA512 34b50131dee7db7b712094628194aa716c9784e07ca54945a7de631e7dd8dfc846383a7c8e8a44cd0734b9e1b7026b938e446a86f2d9f8d0e42af61dcb82f141
 DIST dropbox-lnx.x86_64-260.4.2926.tar.gz 93456704 BLAKE2B 520ab9165180dd04cced9db9b4425c127adb190872ffcfa38e98a2e11357a4aefcfe6174fa0bae9bfc4c8296558b305d539e41777b56ffd959d8e091ba1465f1 SHA512 be8cd66e781e5cc803a527225a88a68ef09429546c8b5c7f6b8a75d5eb162746d5fa85efa77ce8f65a189f34b1f26713f39a55314b8ba9914204cd9143b43b38
 DIST dropbox-lnx.x86_64-262.4.3183.tar.gz 93286722 BLAKE2B 3f10bc5d805d7a8401143edc43370cfcfc8bf465d5c30613597ca0a34da61434329e7f58c3fa2d904f32d29fcc4120b96c1e57e013b7b96a286660bb472cb256 SHA512 b913edc768462d8153e239e82b8d2ac07a3857c9e575ace5e74a838a5ca55405f1ccd5d5e05d841c48e0a520011f743a491328ec159fdb1aa0780d8695d9ef0a
+DIST dropbox-lnx.x86_64-264.4.3385.tar.gz 90371562 BLAKE2B 9cff9f125c8092cfb8c0b9d1b76801a754f3d97696027382547f0edb794a8761156f5ae3f85fe58185bc695daa2af1da6899fd844a8db26057d2acd69bba4ce8 SHA512 f9f04a9c408dcd545cc1005c61263455354c064ded8ea3ee1d3cd9064f42cfc96100e426411b16db3ddaa92471c60d9c75d622c4d836729c3b259f951887e860

diff --git a/net-misc/dropbox/dropbox-264.4.3385.ebuild b/net-misc/dropbox/dropbox-264.4.3385.ebuild
new file mode 100644
index 000000000000..0144d8d28c87
--- /dev/null
+++ b/net-misc/dropbox/dropbox-264.4.3385.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop pax-utils systemd xdg
+
+DESCRIPTION="Dropbox daemon (pretends to be GUI-less)"
+HOMEPAGE="https://www.dropbox.com/"
+SRC_URI="
+	https://clientupdates.dropboxstatic.com/dbx-releng/client/dropbox-lnx.x86_64-${PV}.tar.gz
+	https://uxwing.com/wp-content/themes/uxwing/download/brands-and-social-media/dropbox-icon.svg
+"
+
+LICENSE="BSD-2 CC-BY-ND-3.0 FTL MIT LGPL-2 openssl dropbox"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="selinux X"
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/.*"
+QA_EXECSTACK="opt/dropbox/dropbox"
+
+RDEPEND="
+	X? (
+		x11-themes/hicolor-icon-theme
+		dev-libs/libayatana-appindicator
+	)
+	selinux? ( sec-policy/selinux-dropbox )
+	app-arch/bzip2
+	dev-libs/glib:2
+	dev-libs/libffi:0/8
+	media-libs/fontconfig
+	media-libs/freetype
+	net-misc/wget
+	virtual/zlib
+	sys-libs/ncurses-compat:5
+	virtual/opengl
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXrender
+	x11-libs/libxcb
+"
+
+src_unpack() {
+	unpack ${A}
+	mkdir -p "${S}" || die
+	mv "${WORKDIR}"/.dropbox-dist/* "${S}" || die
+	mv "${S}"/dropbox-lnx.*-${PV}/* "${S}" || die
+	rmdir "${S}"/dropbox-lnx.*-${PV}/ || die
+	rmdir .dropbox-dist || die
+}
+
+src_prepare() {
+	default
+	# We supply this in RDEPEND
+	rm -vf libffi.so.8* || die
+
+	if use X ; then
+		mv images/hicolor/16x16/status "${T}" || die
+	else
+		rm -vrf images || die
+	fi
+	pax-mark cm dropbox
+	mv README ACKNOWLEDGEMENTS "${T}" || die
+}
+
+src_install() {
+	local targetdir="/opt/dropbox"
+
+	insinto "${targetdir}"
+	doins -r *
+	fperms a+x "${targetdir}"/{dropbox,dropboxd}
+	dosym "${targetdir}/dropboxd" "/opt/bin/dropbox"
+
+	# Bug 972885
+	dosym ../libdropbox_tprt.so "${targetdir}/python-pyext/libdropbox_tprt.so"
+
+	if use X; then
+		# symlinks for bug 955139
+		dosym ../../usr/$(get_libdir)/libayatana-appindicator3.so.1 ${targetdir}/libappindicator3.so.1
+		dosym libappindicator3.so.1 ${targetdir}/libappindicator3.so
+
+		doicon -s 16 -c status "${T}"/status
+		newicon -s scalable "${DISTDIR}/dropbox-icon.svg" dropbox.svg
+	fi
+
+	make_desktop_entry "${PN}" "Dropbox" "dropbox"
+
+	newinitd "${FILESDIR}"/dropbox.initd dropbox
+	newconfd "${FILESDIR}"/dropbox.conf dropbox
+	systemd_newunit "${FILESDIR}"/dropbox_at.service-r2 "[email protected]"
+
+	dodoc "${T}"/{README,ACKNOWLEDGEMENTS}
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	einfo "Warning: while running, dropbox may attempt to autoupdate itself in"
+	einfo " your user's home directory.  To prevent this, run the following as"
+	einfo " each user who will run dropbox:"
+	einfo ""
+	einfo "install -dm0 ~/.dropbox-dist"
+	einfo ""
+	einfo "If you do allow dropbox to update/install to your user homedir, you"
+	einfo " will need to create some compat symlinks to keep the tray icon working:"
+	einfo ""
+	einfo "ln -sf /usr/$(get_libdir)/libayatana-appindicator3.so.1 ~/.dropbox-dist/dropbox-lnx.*/libappindicator3.so.1"
+	einfo "ln -sf libappindicator3.so.1 ~/.dropbox-dist/dropbox-lnx.*/libappindicator3.so"
+
+	if has_version gnome-base/gnome-shell; then
+		if ! has_version gnome-extra/gnome-shell-extension-appindicator; then
+			einfo ""
+			einfo "Please install gnome-extra/gnome-shell-extension-appindicator if you"
+			einfo " require tray icon support for Dropbox in Gnome."
+		fi
+	fi
+
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.